<script>
import Vue from 'vue'
export default {
	onLaunch: function() {
		// #ifdef APP-PLUS
		//plus.screen.lockOrientation('portrait-primary'); //锁定屏幕
		// #endif
		/*
		const dom = weex.requireModule('dom');
		dom.addRule('fontFace', {
			fontFamily: 'graceIconfont',
			src: "url('https://at.alicdn.com/t/font_823462_1p2i18cul3t.ttf')"
		});
		*/
	   
	   uni.getSystemInfo({
	   	success: function(e) {
	   		// #ifndef MP
	   		Vue.prototype.StatusBar = e.statusBarHeight;
	   		if (e.platform == 'android') {
	   			Vue.prototype.CustomBar = e.statusBarHeight + 50;
	   		} else {
	   			Vue.prototype.CustomBar = e.statusBarHeight + 45;
	   		};
	   		// #endif
	   
	   		// #ifdef MP-WEIXIN || MP-QQ
	   		Vue.prototype.StatusBar = e.statusBarHeight;
	   		let capsule = wx.getMenuButtonBoundingClientRect();
	   		if (capsule) {
	   			Vue.prototype.Custom = capsule;
	   			// Vue.prototype.capsuleSafe = uni.upx2px(750) - capsule.left + uni.upx2px(750) - capsule.right;
	   			Vue.prototype.CustomBar = capsule.bottom + capsule.top - e.statusBarHeight;
	   		} else {
	   			Vue.prototype.CustomBar = e.statusBarHeight + 50;
	   		}
	   		// #endif		
	   	
	   
	   		// #ifdef MP-ALIPAY
	   		Vue.prototype.StatusBar = e.statusBarHeight;
	   		Vue.prototype.CustomBar = e.statusBarHeight + e.titleBarHeight;
	   		// #endif
	   	}
	   })
	},
	onShow: function() {},
	onHide: function() {}
};
</script>
<style>
@import '@/static/dreamland/css/core.css';
@import "./lib/GraceUI5/css/graceUI.css";
@import "./lib/GraceUI5/skin/black.css";
@import './lib/dever/dever.css';
/*body {font-family:"NSimSun"}*/
page{background-color: #ffffff;}
*{
  -webkit-overflow-scrolling: touch;
}
.grace-body {
	width:100%;
}
.avatar {
	width: 150rpx;
	height: 150rpx;
	border-radius: 100%;
}
.uni-scroll-view, .uni-scroll-view-content {
	height:100%;
}
image {
	will-change: transform;
	height: auto;
}
video {
	will-change: transform;
	position: relative;
}
/* 重写showModal样式 */
uni-modal .uni-modal__hd {padding:30rpx 0;}
uni-modal .uni-modal__title {font-size: 28rpx;color: #666666;}
uni-modal .uni-modal__bd{font-size: 30rpx;color: #222222;paddings:0 0 30rpx 0}
.uni-mask{z-index: 999;}
</style>
